// 自动生成模板Organization
package autocode

import "gorm.io/gorm"

// Organization 结构体
// 如果含有time.Time 请自行import time包
type Organization struct {
	CODE       string         `json:"code" form:"code" gorm:"column:CODE;comment:;type:varchar(20);"`
	NAME       string         `json:"name" form:"name" gorm:"column:NAME;comment:;type:varchar(50);"`
	PARENTCODE string         `json:"parentcode" form:"parentcode" gorm:"column:PARENT_CODE;comment:;type:varchar(20);"`
	Optimistic *int           `json:"optimistic" form:"optimistic" gorm:"column:optimistic;comment:;type:int"`
	Postition  string         `json:"postition" form:"postition" gorm:"column:postition;comment:;type:varchar(225);"`
	Children   []Organization `json:"children" gorm:"-"`
	DeletedAt  gorm.DeletedAt `gorm:"index" json:"-"` // 删除时间
}

// TableName Organization 表名
func (Organization) TableName() string {
	return "organization"
}
